import request from '@/utils/request'

// 分页查询平台代金券
export function getAllPlatformVoucher(params) {
  return request({
    url: '/platformVoucher/getAll',
    method: 'get',
    params
  })
}

// 修改平台代金券
export function updatePlatformVoucher(data) {
  return request({
    url: '/platformVoucher/update',
    method: 'post',
    data
  })
}

// 新增平台代金券
export function savePlatformVoucher(data) {
  return request({
    url: '/platformVoucher/save',
    method: 'post',
    data
  })
}

// 删除平台代金券
export function deletePlatformVoucherById(params) {
  return request({
    url: '/platformVoucher/deleteById',
    method: 'get',
    params
  })
}

